Package com.ngrok.services

# Class TlsEdgeBackendModule.ReplaceCallBuilder

java.lang.Object
com.ngrok.services.TlsEdgeBackendModule.ReplaceCallBuilder

Enclosing class:
  TlsEdgeBackendModule

public class TlsEdgeBackendModule.ReplaceCallBuilder extends Object
A builder object encapsulating state for an unsent Replace API call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndpointBackend`
  `blockingCall()`
  Initiates the API call and blocks until it returns.
  `CompletionStage<EndpointBackend>`
  `call()`
  Initiates the API call asynchronously.
  `TlsEdgeBackendModule.ReplaceCallBuilder`
  `module(EndpointBackendMutate module)`
  Sets the `module` parameter.
  `TlsEdgeBackendModule.ReplaceCallBuilder`
  `module(Optional<EndpointBackendMutate> module)`
  Sets (or unsets) the `module` parameter.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### module

    public TlsEdgeBackendModule.ReplaceCallBuilder module(EndpointBackendMutate module)
    Sets the `module` parameter.
    Parameters:
      `module` - the value of the module parameter as a `EndpointBackendMutate`
    Returns:
      the call builder instance

  - ### module

    public TlsEdgeBackendModule.ReplaceCallBuilder module(Optional<EndpointBackendMutate> module)
    Sets (or unsets) the `module` parameter.
    Parameters:
      `module` - the value of the module parameter as an `Optional` of `EndpointBackendMutate`
    Returns:
      the call builder instance

  - ### call

    public CompletionStage<EndpointBackend> call()
    Initiates the API call asynchronously.
    Returns:
      a `CompletionStage` of `EndpointBackend`

  - ### blockingCall

    public EndpointBackend blockingCall() throws InterruptedException
    Initiates the API call and blocks until it returns.
    Returns:
      `EndpointBackend`
    Throws:
      `InterruptedException` - if the thread was interrupted during the call